## cervisia 25.04.3+p24.04+vstable+git20250921.0549

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20250921.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 05:49:10 +0000

cervisia (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:35:12 +0000
