## cervisia 25.04.3+p24.04+vstable+git20250928.0544

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20250928.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 05:45:00 +0000
