## cervisia 25.04.3+p24.04+vstable+git20251015.1207

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20251015.1207-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:07:42 +0000
