## cervisia 25.04.3+p24.04+vstable+git20251020.0330

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20251020.0330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:30:58 +0000
