=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20251217.0045-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Dec 2025 00:46:01 +0000
