## cervisia 25.04.3+p24.04+vunstable+git20251111.0341

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vunstable+git20251111.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:41:20 +0000
