## cervisia 25.04.3+p24.04+vunstable+git20251124.1002

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vunstable+git20251124.1002-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 10:02:54 +0000
