=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vunstable+git20251208.0051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 00:51:47 +0000
