## cervisia 25.04.3+p24.04+vunstable+git20251220.0312

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vunstable+git20251220.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:12:24 +0000
