## cervisia 25.04.3+p24.04+vunstable+git20260113.0129

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vunstable+git20260113.0129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 01:29:15 +0000
